<?php
$tdatapersona = array();
$tdatapersona[".searchableFields"] = array();
$tdatapersona[".ShortName"] = "persona";
$tdatapersona[".OwnerID"] = "";
$tdatapersona[".OriginalTable"] = "persona";


$tdatapersona[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\",\"list_movil\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatapersona[".originalPagesByType"] = $tdatapersona[".pagesByType"];
$tdatapersona[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\",\"list_movil\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatapersona[".originalPages"] = $tdatapersona[".pages"];
$tdatapersona[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatapersona[".originalDefaultPages"] = $tdatapersona[".defaultPages"];

//	field labels
$fieldLabelspersona = array();
$fieldToolTipspersona = array();
$pageTitlespersona = array();
$placeHolderspersona = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspersona["Spanish"] = array();
	$fieldToolTipspersona["Spanish"] = array();
	$placeHolderspersona["Spanish"] = array();
	$pageTitlespersona["Spanish"] = array();
	$fieldLabelspersona["Spanish"]["id"] = "Id";
	$fieldToolTipspersona["Spanish"]["id"] = "";
	$placeHolderspersona["Spanish"]["id"] = "";
	$fieldLabelspersona["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipspersona["Spanish"]["nombre"] = "";
	$placeHolderspersona["Spanish"]["nombre"] = "";
	$fieldLabelspersona["Spanish"]["foto"] = "Foto";
	$fieldToolTipspersona["Spanish"]["foto"] = "";
	$placeHolderspersona["Spanish"]["foto"] = "";
	$fieldLabelspersona["Spanish"]["titulo"] = "Título";
	$fieldToolTipspersona["Spanish"]["titulo"] = "";
	$placeHolderspersona["Spanish"]["titulo"] = "";
	$fieldLabelspersona["Spanish"]["cargo"] = "Cargo";
	$fieldToolTipspersona["Spanish"]["cargo"] = "";
	$placeHolderspersona["Spanish"]["cargo"] = "";
	$fieldLabelspersona["Spanish"]["dependencia"] = "Dependencia";
	$fieldToolTipspersona["Spanish"]["dependencia"] = "";
	$placeHolderspersona["Spanish"]["dependencia"] = "";
	$fieldLabelspersona["Spanish"]["notas"] = "Notas";
	$fieldToolTipspersona["Spanish"]["notas"] = "";
	$placeHolderspersona["Spanish"]["notas"] = "";
	$fieldLabelspersona["Spanish"]["cargo_publico"] = "Cargo Público";
	$fieldToolTipspersona["Spanish"]["cargo_publico"] = "";
	$placeHolderspersona["Spanish"]["cargo_publico"] = "";
	if (count($fieldToolTipspersona["Spanish"]))
		$tdatapersona[".isUseToolTips"] = true;
}


	$tdatapersona[".NCSearch"] = true;



$tdatapersona[".shortTableName"] = "persona";
$tdatapersona[".nSecOptions"] = 0;

$tdatapersona[".mainTableOwnerID"] = "";
$tdatapersona[".entityType"] = 0;
$tdatapersona[".connId"] = "omega2_at_localhost";


$tdatapersona[".strOriginalTableName"] = "persona";

	



$tdatapersona[".showAddInPopup"] = false;

$tdatapersona[".showEditInPopup"] = false;

$tdatapersona[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatapersona[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatapersona[".listAjax"] = false;
//	temporary
$tdatapersona[".listAjax"] = false;

	$tdatapersona[".audit"] = false;

	$tdatapersona[".locking"] = false;


$pages = $tdatapersona[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapersona[".edit"] = true;
	$tdatapersona[".afterEditAction"] = 0;
	$tdatapersona[".closePopupAfterEdit"] = 1;
	$tdatapersona[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapersona[".add"] = true;
$tdatapersona[".afterAddAction"] = 1;
$tdatapersona[".closePopupAfterAdd"] = 1;
$tdatapersona[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapersona[".list"] = true;
}



$tdatapersona[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapersona[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapersona[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapersona[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapersona[".printFriendly"] = true;
}



$tdatapersona[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapersona[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapersona[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapersona[".isUseAjaxSuggest"] = true;

$tdatapersona[".rowHighlite"] = true;





$tdatapersona[".ajaxCodeSnippetAdded"] = false;

$tdatapersona[".buttonsAdded"] = false;

$tdatapersona[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapersona[".isUseTimeForSearch"] = false;


$tdatapersona[".badgeColor"] = "3cb371";


$tdatapersona[".allSearchFields"] = array();
$tdatapersona[".filterFields"] = array();
$tdatapersona[".requiredSearchFields"] = array();

$tdatapersona[".googleLikeFields"] = array();
$tdatapersona[".googleLikeFields"][] = "id";
$tdatapersona[".googleLikeFields"][] = "nombre";
$tdatapersona[".googleLikeFields"][] = "foto";
$tdatapersona[".googleLikeFields"][] = "titulo";
$tdatapersona[".googleLikeFields"][] = "cargo";
$tdatapersona[".googleLikeFields"][] = "dependencia";
$tdatapersona[".googleLikeFields"][] = "cargo_publico";
$tdatapersona[".googleLikeFields"][] = "notas";



$tdatapersona[".tableType"] = "list";

$tdatapersona[".printerPageOrientation"] = 0;
$tdatapersona[".nPrinterPageScale"] = 100;

$tdatapersona[".nPrinterSplitRecords"] = 40;

$tdatapersona[".geocodingEnabled"] = false;










$tdatapersona[".pageSize"] = 20;

$tdatapersona[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatapersona[".strOrderBy"] = $tstrOrderBy;

$tdatapersona[".orderindexes"] = array();


$tdatapersona[".sqlHead"] = "SELECT id,  	nombre,  	foto,  	titulo,  	cargo,  	dependencia,  	cargo_publico,  	notas";
$tdatapersona[".sqlFrom"] = "FROM persona";
$tdatapersona[".sqlWhereExpr"] = "";
$tdatapersona[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapersona[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapersona[".arrGroupsPerPage"] = $arrGPP;

$tdatapersona[".highlightSearchResults"] = true;

$tableKeyspersona = array();
$tableKeyspersona[] = "id";
$tdatapersona[".Keys"] = $tableKeyspersona;


$tdatapersona[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "persona";
	$fdata["Label"] = GetFieldLabel("persona","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapersona["id"] = $fdata;
		$tdatapersona[".searchableFields"][] = "id";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "persona";
	$fdata["Label"] = GetFieldLabel("persona","nombre");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nombre";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapersona["nombre"] = $fdata;
		$tdatapersona[".searchableFields"][] = "nombre";
//	foto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "foto";
	$fdata["GoodName"] = "foto";
	$fdata["ownerTable"] = "persona";
	$fdata["Label"] = GetFieldLabel("persona","foto");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "foto";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "foto";

		$fdata["DeleteAssociatedFile"] = true;

		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "fotos";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ShowThumbnail"] = true;
	$vdata["ThumbWidth"] = 80;
	$vdata["ThumbHeight"] = 100;
	$vdata["ImageWidth"] = 80;
	$vdata["ImageHeight"] = 100;

			$vdata["multipleImgMode"] = 2;
	$vdata["maxImages"] = 0;

		
	$vdata["imageBorder"] = 0;
	$vdata["imageFullWidth"] = 0;


	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 200;

				$edata["ResizeImage"] = true;
				$edata["NewSize"] = 200;

	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapersona["foto"] = $fdata;
		$tdatapersona[".searchableFields"][] = "foto";
//	titulo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "titulo";
	$fdata["GoodName"] = "titulo";
	$fdata["ownerTable"] = "persona";
	$fdata["Label"] = GetFieldLabel("persona","titulo");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "titulo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "titulo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_titulosprofesionales";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "titulo";

	

	
	$edata["LookupOrderBy"] = "";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapersona["titulo"] = $fdata;
		$tdatapersona[".searchableFields"][] = "titulo";
//	cargo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "cargo";
	$fdata["GoodName"] = "cargo";
	$fdata["ownerTable"] = "persona";
	$fdata["Label"] = GetFieldLabel("persona","cargo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cargo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cargo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapersona["cargo"] = $fdata;
		$tdatapersona[".searchableFields"][] = "cargo";
//	dependencia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "dependencia";
	$fdata["GoodName"] = "dependencia";
	$fdata["ownerTable"] = "persona";
	$fdata["Label"] = GetFieldLabel("persona","dependencia");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "dependencia";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dependencia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "dependencias";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "dependencia";

	

	
	$edata["LookupOrderBy"] = "";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
	
// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapersona["dependencia"] = $fdata;
		$tdatapersona[".searchableFields"][] = "dependencia";
//	cargo_publico
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "cargo_publico";
	$fdata["GoodName"] = "cargo_publico";
	$fdata["ownerTable"] = "persona";
	$fdata["Label"] = GetFieldLabel("persona","cargo_publico");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cargo_publico";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cargo_publico";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_cargospublicos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "cargo";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapersona["cargo_publico"] = $fdata;
		$tdatapersona[".searchableFields"][] = "cargo_publico";
//	notas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "notas";
	$fdata["GoodName"] = "notas";
	$fdata["ownerTable"] = "persona";
	$fdata["Label"] = GetFieldLabel("persona","notas");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "notas";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "notas";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapersona["notas"] = $fdata;
		$tdatapersona[".searchableFields"][] = "notas";


$tables_data["persona"]=&$tdatapersona;
$field_labels["persona"] = &$fieldLabelspersona;
$fieldToolTips["persona"] = &$fieldToolTipspersona;
$placeHolders["persona"] = &$placeHolderspersona;
$page_titles["persona"] = &$pageTitlespersona;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["persona"] = array();
//	reg_contacto
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="reg_contacto";
		$detailsParam["dOriginalTable"] = "reg_contacto";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "reg_contacto";
	$detailsParam["dCaptionTable"] = GetTableCaption("reg_contacto");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["persona"][$dIndex] = $detailsParam;

	
		$detailsTablesData["persona"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["persona"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["persona"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["persona"][$dIndex]["detailKeys"][]="persona_id";
//	pers_contactodep
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="pers_contactodep";
		$detailsParam["dOriginalTable"] = "pers_contactodep";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "pers_contactodep";
	$detailsParam["dCaptionTable"] = GetTableCaption("pers_contactodep");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["persona"][$dIndex] = $detailsParam;

	
		$detailsTablesData["persona"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["persona"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["persona"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["persona"][$dIndex]["detailKeys"][]="id_persona";

// tables which are master tables for current table (detail)
$masterTablesData["persona"] = array();



	
				$strOriginalDetailsTable="cat_cargospublicos";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="cat_cargospublicos";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "cat_cargospublicos";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["persona"][0] = $masterParams;
				$masterTablesData["persona"][0]["masterKeys"] = array();
	$masterTablesData["persona"][0]["masterKeys"][]="id";
				$masterTablesData["persona"][0]["detailKeys"] = array();
	$masterTablesData["persona"][0]["detailKeys"][]="cargo_publico";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_persona()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	nombre,  	foto,  	titulo,  	cargo,  	dependencia,  	cargo_publico,  	notas";
$proto0["m_strFrom"] = "FROM persona";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "persona",
	"m_srcTableName" => "persona"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "persona";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "persona",
	"m_srcTableName" => "persona"
));

$proto8["m_sql"] = "nombre";
$proto8["m_srcTableName"] = "persona";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "foto",
	"m_strTable" => "persona",
	"m_srcTableName" => "persona"
));

$proto10["m_sql"] = "foto";
$proto10["m_srcTableName"] = "persona";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "titulo",
	"m_strTable" => "persona",
	"m_srcTableName" => "persona"
));

$proto12["m_sql"] = "titulo";
$proto12["m_srcTableName"] = "persona";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "cargo",
	"m_strTable" => "persona",
	"m_srcTableName" => "persona"
));

$proto14["m_sql"] = "cargo";
$proto14["m_srcTableName"] = "persona";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "dependencia",
	"m_strTable" => "persona",
	"m_srcTableName" => "persona"
));

$proto16["m_sql"] = "dependencia";
$proto16["m_srcTableName"] = "persona";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "cargo_publico",
	"m_strTable" => "persona",
	"m_srcTableName" => "persona"
));

$proto18["m_sql"] = "cargo_publico";
$proto18["m_srcTableName"] = "persona";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "notas",
	"m_strTable" => "persona",
	"m_srcTableName" => "persona"
));

$proto20["m_sql"] = "notas";
$proto20["m_srcTableName"] = "persona";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "persona";
$proto23["m_srcTableName"] = "persona";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "id";
$proto23["m_columns"][] = "nombre";
$proto23["m_columns"][] = "foto";
$proto23["m_columns"][] = "titulo";
$proto23["m_columns"][] = "cargo";
$proto23["m_columns"][] = "dependencia";
$proto23["m_columns"][] = "cargo_publico";
$proto23["m_columns"][] = "notas";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "persona";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "persona";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="persona";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_persona = createSqlQuery_persona();


	
		;

								

$tdatapersona[".sqlquery"] = $queryData_persona;



$tableEvents["persona"] = new eventsBase;
$tdatapersona[".hasEvents"] = false;

?>